=== packages/sipb-xen-console-server/debian/changelog ===
sipb-xen-console-server (2.04) unstable; urgency=low

  * Get Kerberos realm from config rather than hardcoding.
  * Don't hardcode host's hostname in conserver.cf.

 -- Greg Price <price@mit.edu>  Tue, 22 Jul 2008 01:22:14 -0400

sipb-xen-console-server (2.03) unstable; urgency=low

  * Multiplex consoles on multiple hosts.

 -- Greg Price <price@mit.edu>  Sun, 13 Jul 2008 08:35:17 -0400

sipb-xen-console-server (2.02) unstable; urgency=low

  * And...xm isn't in the path, so give a full path

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 04:48:53 -0400

sipb-xen-console-server (2.01) unstable; urgency=low

  * update-conserver script should reload, not restart

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 04:43:12 -0400

sipb-xen-console-server (2) unstable; urgency=low

  * Use a python based update-conserver script that gets the list of
    consoles from xm list
  * Run the update-conserver script every 5 minutes to catch VMs that
    are not started or stopped through the remctl interface

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 04:32:58 -0400

sipb-xen-console-server (1.0.2) unstable; urgency=low

  * Also...make this package actually do something

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 01:41:32 -0400

sipb-xen-console-server (1.0.1) unstable; urgency=low

  * Misnamed a file

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 01:36:29 -0400

sipb-xen-console-server (1) unstable; urgency=low

  * Initial release.

 -- SIPB Xen Project <sipb-xen@mit.edu>  Wed,  2 Apr 2008 00:27:12 -0400
