=== packages/sipb-xen-www/debian/changelog ===
sipb-xen-www (3.5) unstable; urgency=low

  * Use FCGI.
  * Lengthen timeouts to let the autoinstaller work.

 -- Greg Price <price@mit.edu>  Sun, 15 Jun 2008 21:51:59 -0400

sipb-xen-www (3.4) unstable; urgency=low

  * xvm.mit.edu rather than sipb-xen-dev.mit.edu

 -- Greg Price <price@mit.edu>  Sun, 11 May 2008 00:49:58 -0400

sipb-xen-www (3.3) unstable; urgency=low

  * Fix the SVN server to point to the new AFS mountpoint

 -- Evan Broder <broder@mit.edu>  Fri,  9 May 2008 02:37:21 -0400

sipb-xen-www (3.2) unstable; urgency=low

  * Check in (part of?) the Apache config.
  * Modify it to allow an informative front page without certs.
  * Add that front page.

 -- Greg Price <price@mit.edu>  Fri,  9 May 2008 02:11:04 -0400

sipb-xen-www (3.1) unstable; urgency=low

  * Fixed the crontab definition

 -- SIPB Xen Project <sipb-xen@mit.edu>  Mon, 31 Mar 2008 05:49:32 -0400

sipb-xen-www (3) unstable; urgency=low

  * Refresh the ACL cache every 5 minutes

 -- SIPB Xen Project <sipb-xen@mit.edu>  Mon, 31 Mar 2008 05:38:16 -0400

sipb-xen-www (2) unstable; urgency=low

  * Create sipb-xen group in preinst script.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Sat, 29 Mar 2008 18:45:02 -0400

sipb-xen-www (1) unstable; urgency=low

  * Initial Release.
 -- SIPB Xen Project <sipb-xen@mit.edu>  Fri, 28 Mar 2008 22:43:12 -0500
