=== packages/sipb-xen-dom0/debian/control ===
Source: sipb-xen-dom0
Section: base
Priority: extra
Maintainer: SIPB Xen Project <sipb-xen@mit.edu>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.1.0)
Standards-Version: 3.7.2

Package: sipb-xen-dom0
Architecture: all
Depends: ${misc:Depends}, emacs, nullmailer, dsniff, xen-hypervisor, xen-utils, lvm2, grub, linux-image-xen-amd64
Description: SIPB Xen domain 0 configuration
 This package includes the dependencies and configuration for 
 a domain 0 sipb-xen server.
